package com.xueyi.system.api.sms.domain.vo;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class SmsReqEntity {
    @NotBlank(message = "phone不能为空")
    private String phone;

    @NotBlank(message = "template不能为空")
    private String template;

    private String dataMap;

    public JSONObject toJson(){
        JSONObject json = new JSONObject(true);
        json.put("phone", phone);
        json.put("template", template);
        JSONObject jsonObject = JSONObject.parseObject(dataMap);
        jsonObject.forEach((key, item)->{
            json.put(key, item);
        });
        return json;
    }

    public String mapToString(){
        JSONObject jsonObject = JSONObject.parseObject(dataMap);
        return jsonObject.toJSONString();
    }
}
